/*
 * @(#)RequestFailedException.java
 *
 * Copyright (C) 2005 Infocity Inc. All Rights Reserved.
 */
package info.dragonlady.sso;

/**
 * SAML要求実行時に発生する例外
 * 
 * @author Hiroshi.Ebata(INFOCITY)
 * @version $Revision: 1.1 $ $Date: 2005/11/11 14:08:42 $
 */
public class RequestFailedException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = 7530884744542573957L;

	/**
	 * コンストラクタ
	 * 
	 */
	public RequestFailedException() {
		super();
	}

	/**
	 * コンストラクタ
	 * 
	 * @param message メッセージ
	 */
	public RequestFailedException(String message) {
		super(message);
	}

	/**
	 * コンストラクタ
	 * 
	 * @param cause 原因
	 */
	public RequestFailedException(Throwable cause) {
		super(cause);
	}

	/**
	 * コンストラクタ
	 * 
	 * @param message メッセージ
	 * @param cause 原因
	 */
	public RequestFailedException(String message, Throwable cause) {
		super(message, cause);
	}

}
